com.dlsc.flexgantt.model.paging

## Class PagingVetoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.dlsc.flexgantt.model.paging.PagingVetoException

- All Implemented Interfaces:
    Serializable

      public class PagingVetoException
      extends Exception

  A special exception type used by instances of `IPagingModelListener` in situations where they want to veto a page change. A listener might decide for a veto if for example the information for the next page is not available, yet. The veto of a single listener is enough to interrupt the change.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagingVetoException(PagingEvent evt)` Constructs a new paging veto exception.
    `PagingVetoException(PagingEvent evt, String message)` Constructs a new paging veto exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagingEvent` | `getPagingEvent()` Returns the paging event that was vetoed.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagingVetoException

          public PagingVetoException(PagingEvent evt)

      Constructs a new paging veto exception.
      Parameters:
        `evt` - the paging event that is being vetoed
      Since:
        1.0

    - #### PagingVetoException

          public PagingVetoException(PagingEvent evt,
                                     String message)

      Constructs a new paging veto exception.
      Parameters:
        `evt` - the paging event that is being vetoed
        `message` - an additional message describing the cause of the veto
      Since:
        1.0

  - ### Method Detail

    - #### getPagingEvent

          public PagingEvent getPagingEvent()

      Returns the paging event that was vetoed.
      Returns:
        the event being vetoed
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.